﻿<?php

function NewStick($contid, $stype, $objprop, $title = "Outside", $refreshtime = 0, $measure = "°"){
  $val = "-";    
  $background = "rgba(100,160,230,1)";
  $color = "white";
  
  // Refresh
  if ($refreshtime == 0){
    $refreshtime = 5*60*1000; // 5 min
  }
    
  if (!ctype_alnum($stype) || !preg_match('/^(?:[a-z0-9_-]|\.(?!\.))+$/iD', $stype)) {
	return "Templ invalid name"; 
  }
  
  $templ = "./s2/$stype.tmpl";   
  
  if (!file_exists($templ))  {
	return "Templ file not found"; 
  }
  
  $cont = file_get_contents($templ);
	
  $cont = str_replace('%contid%', $contid, $cont);
  $cont = str_replace('%val%', $val, $cont);
  $cont = str_replace('%title%', $title, $cont);
  $cont = str_replace('%measure%', $measure, $cont);
  $cont = str_replace('%objprop%', $objprop, $cont);  
  $cont = str_replace('%refreshtime%', $refreshtime, $cont);  
  
  $cont = str_replace('%background%', $background, $cont);  
  $cont = str_replace('%color%', $color, $cont);  
  
  echo $cont;
  
  return "";
}

?>